AtomicTreeNode (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.shared.types.datamodel
Class AtomicTreeNode

    java.lang.Object
      com.extjs.gxt.ui.client.data.BaseModelData
          com.extjs.gxt.ui.client.data.BaseModel
              com.extjs.gxt.ui.client.data.BaseTreeModel
                  org.gcube.resourcemanagement.support.shared.types.datamodel.AtomicTreeNode

All Implemented Interfaces:
  com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, com.extjs.gxt.ui.client.data.TreeModel, Serializable

    public class AtomicTreeNode

extends com.extjs.gxt.ui.client.data.BaseTreeModel

Author:
  Daniele Strollo (ISTI-CNR)
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.extjs.gxt.ui.client.data.BaseTreeModel
`children, parent`

Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel
`changeEventSupport`

Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData
`allowNestedValues, map`

Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource
`Add, Remove, Update`

Constructor Summary
`AtomicTreeNode()` Deprecated. fr serialization only
`AtomicTreeNode(String node)`
`AtomicTreeNode(String node, String name)` The node is used as original node of the element useful to retrieve it from the IS.
`AtomicTreeNode(String node, String name, AtomicTreeNode[] children)`
`AtomicTreeNode(String node, String name, String icon)`
`AtomicTreeNode(String node, String name, String icon, AtomicTreeNode[] children)`

Method Summary
`Integer` | `getId()`
`String` | `getLabel()`
`String` | `getName()`
`String` | `getNode()`
`String` | `getSubType()`
`String` | `toString()`

Methods inherited from class com.extjs.gxt.ui.client.data.BaseTreeModel
`add, getChild, getChildCount, getChildren, getParent, indexOf, insert, isLeaf, notify, remove, remove, removeAll, setChildren, setParent`

Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel
`addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData
`get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData
`get, getProperties, getPropertyNames, remove, set`

Methods inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource
`addChangeListener, removeChangeListener, removeChangeListeners, setSilent`

Constructor Detail

### AtomicTreeNode

    public AtomicTreeNode()

  Deprecated. fr serialization only

### AtomicTreeNode

    public AtomicTreeNode(String node)

### AtomicTreeNode

    public AtomicTreeNode(String node,
                          String name)

  The node is used as original node of the element useful to retrieve it from the IS. The name is instead used for pretty printing (aliasing).

  Parameters:
    `node` - the corresponding IS node
    `name` - if null the node will be used instead

### AtomicTreeNode

    public AtomicTreeNode(String node,
                          String name,
                          String icon)

### AtomicTreeNode

    public AtomicTreeNode(String node,
                          String name,
                          AtomicTreeNode[] children)

### AtomicTreeNode

    public AtomicTreeNode(String node,
                          String name,
                          String icon,
                          AtomicTreeNode[] children)

Method Detail

### getId

    public final Integer getId()

### getName

    public final String getName()

### getNode

    public final String getNode()

### getLabel

    public final String getLabel()

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### getSubType

    public final String getSubType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.